com.samsung.multiscreen

## Interface AudioPlayer.OnAudioPlayerListener

- Enclosing class:
    AudioPlayer

      public static interface AudioPlayer.OnAudioPlayerListener

  Public Listener Interface for Audio Player Notice events

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onAddToList(JSONObject enqueuedItem)`
    `void` | `onApplicationResume()`
    `void` | `onApplicationSuspend()`
    `void` | `onBufferingComplete()`
    `void` | `onBufferingProgress(int progress)`
    `void` | `onBufferingStart()`
    `void` | `onClearList()`
    `void` | `onControlStatus(int volLevel, Boolean muteStatus, Boolean shuffleStatus, Player.RepeatMode repeatStatus)`
    `void` | `onCurrentPlaying(JSONObject currentItem, String playerType)`
    `void` | `onCurrentPlayTime(int progress)`
    `void` | `onError(Error error)`
    `void` | `onGetList(JSONArray queueList)`
    `void` | `onMute()`
    `void` | `onNext()`
    `void` | `onPause()`
    `void` | `onPlay()`
    `void` | `onPlayerChange(String playerType)`
    `void` | `onPlayerInitialized()`
    `void` | `onPrevious()`
    `void` | `onRemoveFromList(JSONObject dequeuedItem)`
    `void` | `onRepeat(Player.RepeatMode mode)`
    `void` | `onShuffle(Boolean status)`
    `void` | `onStop()`
    `void` | `onStreamCompleted()`
    `void` | `onStreamingStarted(int duration)`
    `void` | `onUnMute()`
    `void` | `onVolumeChange(int level)`

- - ### Method Detail

    - #### onBufferingStart

          void onBufferingStart()

    - #### onBufferingComplete

          void onBufferingComplete()

    - #### onBufferingProgress

          void onBufferingProgress(int progress)

    - #### onCurrentPlayTime

          void onCurrentPlayTime(int progress)

    - #### onStreamingStarted

          void onStreamingStarted(int duration)

    - #### onStreamCompleted

          void onStreamCompleted()

    - #### onPlayerInitialized

          void onPlayerInitialized()

    - #### onPlayerChange

          void onPlayerChange(String playerType)

    - #### onPlay

          void onPlay()

    - #### onPause

          void onPause()

    - #### onStop

          void onStop()

    - #### onMute

          void onMute()

    - #### onUnMute

          void onUnMute()

    - #### onNext

          void onNext()

    - #### onPrevious

          void onPrevious()

    - #### onControlStatus

          void onControlStatus(int volLevel,
                               Boolean muteStatus,
                               Boolean shuffleStatus,
                               Player.RepeatMode repeatStatus)

    - #### onVolumeChange

          void onVolumeChange(int level)

    - #### onAddToList

          void onAddToList(JSONObject enqueuedItem)

    - #### onRemoveFromList

          void onRemoveFromList(JSONObject dequeuedItem)

    - #### onClearList

          void onClearList()

    - #### onGetList

          void onGetList(JSONArray queueList)

    - #### onShuffle

          void onShuffle(Boolean status)

    - #### onRepeat

          void onRepeat(Player.RepeatMode mode)

    - #### onCurrentPlaying

          void onCurrentPlaying(JSONObject currentItem,
                                String playerType)

    - #### onApplicationResume

          void onApplicationResume()

    - #### onApplicationSuspend

          void onApplicationSuspend()

    - #### onError

          void onError(Error error)